C'omo instalar ultima version de yarn en debian 10

Cómo instalar Yarn en Debian 10 Buster y como actualizarlo

Si sueles trabajar con javascript, React y demás, seguramente acabas usando librerías para algunas cosas. Por lo general, te encontrarás mucho npm, y si estás aquí entonces es que prefieres usar Yarn, y cuando lo instalas no es el gestor de paquetes. Instalar el gestor de paquetes Yarn en Debian 10 es sencillo.

Por si no tienes muy claro qué es o para qué sirve, te comento que es simplemente un gestor de paquetes con el que puedes gestionar las librerías de npmjs, instalarlas, desinstalarlas, mantenerlas actualizadas y demás, con unos simples comandos.

Básicamente te permite olvidarte de tener que andar descargando las cosas a mano, descomprimiendo y cargándolas en tu script. Es lo mismo que composer (para php) o npm.

Cómo instalar yarn en Debian 10 (el gestor de paquetes).

Instalarlo es bastante sencillo, pero no está en los repositorios oficiales de Debian. Si lo instalas directamente con apt-get, verás que se instala otra cosa diferente. Si ya lo has intentado instalar, y no era lo que querías, lo primero es eliminar lo que yas instalado.

apg-get purge yarn

Ahora que ya lo tienes todo como al principio, toca añadir las claves GPG para que te deje usar el repositorio que nos va a hacer falta-

curl -sS https://dl.yarnpkg.com/debian/pubkey.gpg | sudo apt-key add -

Una vez salga el mensaje de que todo está correcto, toca añadir el repositorio de yarn  oficial.

echo "deb https://dl.yarnpkg.com/debian/ stable main" | sudo tee /etc/apt/sources.list.d/yarn.list

Instalando Yarn

Bien, ahora solo falta instalarlo, y lo primero es actualizar el cache de apt para que coja el nuevo repositorio y lo encuentre al instalar.

apt update

Y ya solo queda hacer la instalación del gestor de paquetes correcto.

apt install yarn

Y verás que esta vez sí que te sugiere el paquete correcto, aunque para asegurarte puedes ver la versión después de instalar.

yarn --version

1.19.1

Cómo actualizar Yarn en Debian 10

Si lo tienes ya instalado, y lo que quieres hacer es actualizar el gestor de paquetes, te habrás dado cuenta de que cuando haces el update o el upgrade lo que hace yarn es actualizar los paquetes. Y también cuando ejecutas apt update es posible que no te muestre la última versión (1.19.1 al momento de este artículo).

Léete también  Cómo ocultar las extensiones en Chrome en 1 segundo

Para hacer la actualización tienes dos opciones, o bien usar npm, que te viene instalado con nodejs, y si vas a usar yarn seguro que lo tienes ya instalado, o directamente con el script para actualizar que tienen en la página de yarnpkg.

Si lo actualizas con npm, ejecuta como root este comando.

sudo npm upgrade --global yarn

Aunque te salga algún aviso tienes que hacerlo como root, ya que se van a actualizar archivos del sistema.

Si no quieres ni tocar npm, entonces puedes usar este otro comando.

sudo curl --compressed -o- -L https://yarnpkg.com/install.sh | bash

El comando se descarga el script oficial, y se ejecutará directamente, actualizando yarn a la última versión. Para comprobarlo, como antes.

yarn --version

Es posible que te aparezca algún problema o error. Si es el caso puedes dejarme un comentario y te echo un cable a solucionarlo.

¿Usas yarn normalmente o lo estás probando? ¿Qué lenguaje usas? Comenta y comparte

Publicado en Ayudapor VicHaunter el

AYUDANOS a poder seguir dando respuestas. Te podemos echar una mano y tú también a nosotros, símplemente dale a me gusta.